Page MenuHomePhabricator

Revive and merge patch to update maxlag calculation
Closed, ResolvedPublic8 Estimated Story Points

Description

In T238751 a patch was created to enable the calculation of maxlag from speciaifed lb pools that should be queried. However, the patch was abandoned due to stalled work, and now needs to be revived to ensure that we only calculate maxlag from pooled query service servers.

Acceptance Criteria:

  • Patch is revived OR a new patch with similar functionality is created
  • Patch is reviewed and merged

https://www.mediawiki.org/wiki/Manual:Maxlag_parameter


Current state:

Event Timeline

I have already begun work on this, but it fell between the cracks, as priorities shifted. What remains to be done:

  1. Make sure all tests pass (There is an incompatibility between PHPUnit versions used in this old patch and current systems)
  2. Merge the patch

Change 552544 had a related patch set uploaded (by Itamar Givon; author: Addshore):

[mediawiki/extensions/Wikidata.org@master] Only generate QS maxlag for pooled servers

https://gerrit.wikimedia.org/r/552544

ItamarWMDE added a project: Wikidata Dev Team.

Prio Notes

  • Might affect end users
  • Affects additional stakeholders
  • Does not affect development efforts
  • Does not affect onboarding efforts
Manuel triaged this task as High priority.Sep 13 2022, 9:47 AM

Task breakdown plan of action:

  • rebase patch on master, resolve conflicts
  • fix tests (includes resolving the PHPUnit incompatibility mentioned by Itamar, unless that was already resolved in the meantime)
  • merge the patch

Rebasing the patch doesn't appease CI as it's dependent on this puppet patch. This patch has merge conflicts, and also seems to require some work as its contents are from 2019 and are no longer up-to-date.

Change 841136 had a related patch set uploaded (by Hoo man; author: Hoo man):

[mediawiki/extensions/Wikidata.org@master] updateQueryServiceLag: Add lb(-pool) options for forward compatibility

https://gerrit.wikimedia.org/r/841136

hoo subscribed.

Current plan:

  1. Merge and deploy https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Wikidata.org/+/841136
  2. Get https://gerrit.wikimedia.org/r/c/operations/puppet/+/841148 merged and deployed
  3. Merge https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Wikidata.org/+/552544 (can be either deployed per hand to actually see the impact live or we can just let it go with the train)

Change 841136 merged by jenkins-bot:

[mediawiki/extensions/Wikidata.org@master] updateQueryServiceLag: Add lb(-pool) options for forward compatibility

https://gerrit.wikimedia.org/r/841136

Change 841164 had a related patch set uploaded (by Hoo man; author: Hoo man):

[mediawiki/extensions/Wikidata.org@wmf/1.40.0-wmf.4] updateQueryServiceLag: Add lb(-pool) options for forward compatibility

https://gerrit.wikimedia.org/r/841164

Change 841165 had a related patch set uploaded (by Hoo man; author: Hoo man):

[mediawiki/extensions/Wikidata.org@wmf/1.40.0-wmf.5] updateQueryServiceLag: Add lb(-pool) options for forward compatibility

https://gerrit.wikimedia.org/r/841165

Change 841164 merged by jenkins-bot:

[mediawiki/extensions/Wikidata.org@wmf/1.40.0-wmf.4] updateQueryServiceLag: Add lb(-pool) options for forward compatibility

https://gerrit.wikimedia.org/r/841164

Mentioned in SAL (#wikimedia-operations) [2022-10-11T13:56:47Z] <hoo@deploy1002> Started scap: Backport for [[gerrit:841164|updateQueryServiceLag: Add lb(-pool) options for forward compatibility (T315423 T238751)]]

Mentioned in SAL (#wikimedia-operations) [2022-10-11T13:57:07Z] <hoo@deploy1002> hoo and hoo: Backport for [[gerrit:841164|updateQueryServiceLag: Add lb(-pool) options for forward compatibility (T315423 T238751)]] synced to the testservers: mwdebug1002.eqiad.wmnet, mwdebug2002.codfw.wmnet, mwdebug2001.codfw.wmnet, mwdebug1001.eqiad.wmnet

Mentioned in SAL (#wikimedia-operations) [2022-10-11T14:01:45Z] <hoo@deploy1002> Finished scap: Backport for [[gerrit:841164|updateQueryServiceLag: Add lb(-pool) options for forward compatibility (T315423 T238751)]] (duration: 04m 57s)

Change 841165 merged by jenkins-bot:

[mediawiki/extensions/Wikidata.org@wmf/1.40.0-wmf.5] updateQueryServiceLag: Add lb(-pool) options for forward compatibility

https://gerrit.wikimedia.org/r/841165

Change 844993 had a related patch set uploaded (by Hoo man; author: Hoo man):

[mediawiki/extensions/Wikidata.org@master] Add an integration test for updateQueryServiceLag

https://gerrit.wikimedia.org/r/844993

Change 845016 had a related patch set uploaded (by Hoo man; author: Addshore):

[mediawiki/extensions/Wikidata.org@wmf/1.40.0-wmf.6] Only generate QS maxlag for pooled servers

https://gerrit.wikimedia.org/r/845016

Change 552544 merged by jenkins-bot:

[mediawiki/extensions/Wikidata.org@master] Only generate QS maxlag for pooled servers

https://gerrit.wikimedia.org/r/552544

Change 844993 merged by jenkins-bot:

[mediawiki/extensions/Wikidata.org@master] Add an integration test for updateQueryServiceLag

https://gerrit.wikimedia.org/r/844993

Change 845016 merged by jenkins-bot:

[mediawiki/extensions/Wikidata.org@wmf/1.40.0-wmf.6] Only generate QS maxlag for pooled servers

https://gerrit.wikimedia.org/r/845016

Mentioned in SAL (#wikimedia-operations) [2022-10-20T20:59:37Z] <hoo@deploy1002> Finished scap: Backport for [[gerrit:845016|Only generate QS maxlag for pooled servers (T315423 T238751)]] (duration: 07m 12s)

ItamarWMDE updated the task description. (Show Details)

\o/ Impressive work! Thank you @hoo, this is finally done!